Subject: Re: update DataTLBMiss exception comment

From: Dan Malek <[email-masked]>
Date: Tue, 19 Apr 2005 12:57:18 -0400

On Apr 19, 2005, at 7:52 AM, Marcelo Tosatti wrote:

> Since v2.6 DataTLBMiss doesnt jump to the page fault handler, it 
> instead
> loads invalid TLB which in turn causes a DataTLBError exception.

Which, of course, is the logically correct way to do it.  I guess I just
read too much into the suggestion in the manual to jump to the
"unused" Data Error exception vector under some miss conditions.
I tried to eliminate the immediate error fault that was going to
happen, but I guess we have to force that fault to get the proper
information in the fault registers.

> The comment on top of it haven't been update since the change.
>
> What about this?

Yes, thanks.

	-- Dan